%define rh9 %(r="`rpm -q --queryformat='%{VERSION}' redhat-release 2>/dev/null`"; if [ $? -eq 0 ]; then if [ X$r = X9 ]; then echo 1; else echo 0; fi; fi;)
%define mod_name PowerEdge-RAC
%{?_without_rh9: %{expand: %%define rh9 0}}
%{?_with_rh9: %{expand: %%define rh9 1}}
Summary: PowerEdge-RAC Perl module
Name: perl-%{mod_name}
URL: http://search.cpan.org/search?mode=module&query=PowerEdge%3a%3aRAC
Group: Development/Libraries
Version: 0.16
Release: 1
License: Artistic
BuildRoot: %{_tmppath}/%{mod_name}-%{version}-%(id -u -n)
Buildarch: noarch
%if %{rh9}
BuildRequires: perl >= 2:5.8.0
Requires: %(perl -MConfig -le 'if (defined $Config{useithreads}) { print "perl(:WITH_ITHREADS)" } else { print "perl(:WITHOUT_ITHREADS)" }')
Requires: %(perl -MConfig -le 'if (defined $Config{usethreads}) { print "perl(:WITH_THREADS)" } else { print "perl(:WITHOUT_THREADS)" }')
Requires: %(perl -MConfig -le 'if (defined $Config{uselargefiles}) { print "perl(:WITH_LARGEFILES)" } else { print "perl(:WITHOUT_LARGEFILES)" }')
%else
BuildRequires: perl >= 0:5.6.0
%endif
Source0: %{mod_name}-%{version}.tar.gz

%description
PowerEdge-RAC Perl module

%prep
%setup -q -n %{mod_name}-%{version} 

%build
%if %{rh9}
CFLAGS="$RPM_OPT_FLAGS" perl Makefile.PL PREFIX=$RPM_BUILD_ROOT%{_prefix} 
%else
CFLAGS="$RPM_OPT_FLAGS" perl Makefile.PL
%endif
make OPTIMIZE="$RPM_OPT_FLAGS"
make test

%install
rm -rf $RPM_BUILD_ROOT
eval `perl '-V:installarchlib'`
mkdir -p $RPM_BUILD_ROOT$installarchlib
%if %{rh9}
%makeinstall
%else
make PREFIX=$RPM_BUILD_ROOT%{_prefix} install
%endif

rm -f `find $RPM_BUILD_ROOT -type f -name perllocal.pod -o -name .packlist`

[ -x %{_libdir}/rpm/brp-compress ] && %{_libdir}/rpm/brp-compress

find $RPM_BUILD_ROOT%{_prefix} -type f -print | \
	sed "s@^$RPM_BUILD_ROOT@@g" | \
	grep -v perllocal.pod | \
	grep -v "\.packlist" > %{mod_name}-%{version}-filelist
if [ "$(cat %{mod_name}-%{version}-filelist)X" = "X" ] ; then
	echo "ERROR: EMPTY FILE LIST"
	exit 1
fi

ls . | egrep -i '((eg|example|demo|util|tutorial|doc|README.*|Change.*|TODO|CREDIT|BUG)(|s)|.(gif|jpg|html|txt))$' | sed "s@^@%doc @g" >>  %{mod_name}-%{version}-filelist 2>/dev/null

%clean
rm -rf $RPM_BUILD_ROOT


%files -f %{mod_name}-%{version}-filelist
%defattr(-,root,root)

%changelog
* Thu Aug 07 2003 <build@lanceerplaats.nl> 0.16
- Include support for poweredge 1750 RAC hw

* Tue Jun 17 2003 <rac@lanceerplaats.nl>
- Upgrade to 0.15

* Thu May 15 2003 <rac@lanceerplaats.nl>
- Specfile autogenerated

